{ stdenv, woff2, unzip, requireFile }:
stdenv.mkDerivation rec {
  pname   = "pragmatapro";
  version = "0.9";

  buildInputs = [ woff2 unzip ];
  src = requireFile {
    name = "PragmataPro0.9W.zip";
    url  = "https://fsd.it/shop/fonts/pragmatapro";
    hash = "sha256-Hcthk7twaxRty4E1PvA3fX9XuLvLceuDFrrALehWIsU=";
  };

  sourceRoot = ".";

  installPhase = ''
    subdir="PragmataPro${version}W"
    for font in $subdir/*.woff2; do
      ${woff2}/bin/woff2_decompress $font
    done
    mkdir -p $out/share/fonts/truetype
    cp $subdir/*.ttf $out/share/fonts/truetype
  '';
}
